Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# BackgroundFillSolid

Added in version 21.2.

class telegram.BackgroundFillSolid(color, *, api_kwargs=None)

  Bases: `telegram.BackgroundFill`

  The background is filled using the selected color.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `color` is equal.

  Available In

  - `telegram.BackgroundTypeFill.fill`

  - `telegram.BackgroundTypePattern.fill`

  Added in version 21.2.

  Parameters:

    color (`int`) – The color of the background fill in the RGB24 format.

  type

    Type of the background fill. Always `SOLID`.

    Type:

      `str`

  color

    The color of the background fill in the RGB24 format.

    Type:

      `int`